FROM ruby:alpine

ENV API_PATH=/usr/src/api \
    PORT=9999 \
    HOST=0.0.0.0

WORKDIR ${API_PATH}

RUN apk add --update build-base httpie

COPY Gemfile ./

RUN bundle install

COPY front.rb ./

EXPOSE ${PORT}

CMD ruby front.rb
